Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
avoiding unnccesary gnome packages
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
printf
Tux's lil' helper
Tux's lil' helper


Joined: 02 Dec 2010
Posts: 81

PostPosted: Wed Oct 16, 2013 7:11 am    Post subject: avoiding unnccesary gnome packages Reply with quote

i would like to install furius iso mount from the sunrise overlay, but it just wants to pull in a whole lot of gnome packages that i dont really want to unstall since i use xfce4

Code:
[ebuild  N    #] app-cdr/furiusisomount-0.11.3.1-r1::sunrise  USE="-brasero" 262 kB
[ebuild  N     ]  x11-libs/gksu-2.0.2-r1  USE="-doc -gnome" 458 kB
[ebuild  N     ]   x11-libs/libgksu-2.0.12-r1:2  USE="nls -doc -static-libs" 467 kB
[ebuild  N     ]    gnome-base/libgnome-keyring-2.32.0  USE="-debug {-test}" 403 kB
[ebuild  N     ]     gnome-base/gnome-keyring-2.32.1-r1  USE="pam -debug {-test}" 1,582 kB
[ebuild  N     ]  gnome-base/nautilus-2.32.2.1-r2  USE="introspection -gnome {-test} -xmp" 6,209 kB
[nomerge       ] x11-libs/libgksu-2.0.12-r1:2  USE="nls -doc -static-libs"
[ebuild  N     ]  app-admin/sudo-1.8.6_p7  USE="ldap nls pam sendmail -offensive (-selinux) -skey" 1,815 kB
[ebuild  N     ]   virtual/mta-1  0 kB
[ebuild  N     ]    mail-mta/nullmailer-1.11-r2  USE="ssl" 231 kB
[nomerge       ] gnome-base/nautilus-2.32.2.1-r2  USE="introspection -gnome {-test} -xmp"
[ebuild  N     ]  gnome-base/gnome-desktop-2.32.1:2  USE="-debug -doc" 1,596 kB
[ebuild  N     ]   gnome-base/gconf-2.32.4-r1:2  USE="gtk introspection ldap policykit -debug" 1,296 kB
[nomerge       ] mail-mta/nullmailer-1.11-r2  USE="ssl"
[ebuild  NS    ]  sys-devel/automake-1.10.3:1.10 [1.9.6-r3:1.9, 1.13.4:1.13] 936 kB
[nomerge       ] app-admin/sudo-1.8.6_p7  USE="ldap nls pam sendmail -offensive (-selinux) -skey"
[ebuild  N     ]  dev-libs/cyrus-sasl-2.1.26-r3:2  USE="berkdb gdbm pam ssl -authdaemond -java -kerberos -ldapdb -mysql -openldap -postgres -sample -sqlite -srp -static-libs -urandom" 5,098 kB
[nomerge       ] x11-libs/libgksu-2.0.12-r1:2  USE="nls -doc -static-libs"
[nomerge       ]  gnome-base/gconf-2.32.4-r1:2  USE="gtk introspection ldap policykit -debug"
[ebuild  N     ]   gnome-base/orbit-2.14.19-r3:2  USE="-debug -pic -static-libs {-test}" 747 kB
[ebuild  NS    ]    sys-devel/automake-1.12.6:1.12 [1.9.6-r3:1.9, 1.13.4:1.13] 1,368 kB
[ebuild  N     ]  gnome-base/libgtop-2.28.4:2  USE="introspection -debug -doc" 639 kB
[nomerge       ] gnome-base/nautilus-2.32.2.1-r2  USE="introspection -gnome {-test} -xmp"
[ebuild  N     ]  gnome-base/dconf-0.12.1  USE="X -doc" 198 kB
[nomerge       ] mail-mta/nullmailer-1.11-r2  USE="ssl"
[ebuild  N     ]  virtual/logger-0  0 kB
[ebuild  N     ]   app-admin/metalog-3  USE="unicode" 353 kB
[nomerge       ] dev-libs/cyrus-sasl-2.1.26-r3:2  USE="berkdb gdbm pam ssl -authdaemond -java -kerberos -ldapdb -mysql -openldap -postgres -sample -sqlite -srp -static-libs -urandom"
[ebuild  N     ]  net-mail/mailbase-1.1  USE="pam" 0 kB
[nomerge       ] gnome-base/orbit-2.14.19-r3:2  USE="-debug -pic -static-libs {-test}"
[ebuild  N     ]  dev-libs/libIDL-0.8.14  418 kB
[nomerge       ] app-cdr/furiusisomount-0.11.3.1-r1::sunrise  USE="-brasero"
[ebuild  N     ]  sys-fs/fuseiso-20070708  235 kB


could this be because i installed polkit-gnome when stting up ConsoleKit/PolicyKit, instead of lxpolkit?

i would like to avoid installing things like gnome-base/gnome-desktop

is it possible?
Back to top
View user's profile Send private message
eyoung100
Veteran
Veteran


Joined: 23 Jan 2004
Posts: 1406

PostPosted: Tue Oct 22, 2013 10:43 pm    Post subject: Reply with quote

Look at the ebuild in a text editor. If DEPENDS Contains a polkit, you are right. Uninstall polkit-gnome, install lxpolkit and try again...
_________________
The Birth and Growth of Science is the Death and Atrophy of Art -- Unknown
Registerd Linux User #363735
Adopt a Post | Strip Comments| Emerge Wrapper
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 5271

PostPosted: Wed Oct 23, 2013 4:24 pm    Post subject: Reply with quote

What could flatten this tree, would be taking >=gnome-base/gconf-3.2.6[-orbit] instead of the version that's pulled now.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum